<template>
  <section
    class="box"
  >
    <ul>
      <li>Note Ux : <strong>{{ uxGrade }} / 5</strong></li>
      <li>Recommandation : <strong>{{ recommandationGrade }} / 10</strong></li>
      <li v-if="message">
        Message :
      </li>
      <li v-if="message">
        {{ message }}
      </li>
      <li>Date : <strong>{{ createdAt }}</strong></li>
      <li v-if="isRide">
        Id de la course : <strong>
          <nuxt-link :to="campusLink('rides-id', { params: { id: ride.id } })">{{ ride.id }}</nuxt-link>
        </strong>
      </li>
      <li v-if="isShuttle">
        Id de la navette : <strong>
          <nuxt-link :to="campusLink('shuttles-id', { params: { id: shuttle.id } })">{{ shuttle.id }}</nuxt-link>
        </strong>
      </li>
      <!-- @todo link to shuttle details -->
    </ul>
  </section>
</template>

<script>
import { DateTime } from 'luxon';
import titleMixin from '~/helpers/mixins/page-title';

const mask = 'id,uxGrade,recommandationGrade,message,createdAt,ride,shuttle';

export default {
  mixins: [
    titleMixin('Appréciation'),
  ],
  async asyncData({ params, $api }) {
    const { data } = await $api.query('ratings').setMask(mask).get(params.id).setFilter('campus', params.campus);
    return {
      ...data,
      createdAt: DateTime.fromISO(data.createdAt).toLocaleString(DateTime.DATETIME_FULL_WITH_SECONDS),
    };
  },
  computed: {
    isRide() {
      return !!this.ride;
    },
    isShuttle() {
      return !!this.shuttle;
    },
  },
};
</script>

<style lang="scss" scoped>
  @import '~assets/css/head';
  a {
    color: inherit;
    text-decoration: underline;
    &:hover {
      color: $dark-gray;
    }
  }
</style>
